Package com.collabnet.ce.soap60.webservices.scm

# Class ScmCheckoutCommandsBuilder

java.lang.Object
com.collabnet.ce.soap60.webservices.scm.ScmCheckoutCommandsBuilder

public class ScmCheckoutCommandsBuilder extends Object
Builds checkout commands for master repository.

Since:
  8.1

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected com.vasoftware.sf.server.services.scm.RepositoryDO`
  `repository`
  `protected com.vasoftware.sf.server.types.UserSessionKey`
  `sessionKey`
  `protected com.vasoftware.sf.server.services.user.UserDO`
  `user`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ScmCheckoutCommandsBuilder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `com.vasoftware.sf.server.services.scm.CheckoutCommand.CheckoutCommandSpecification`
  `build()`
  Builds repository checkout commands out of provided parameters.
  `protected com.collabnet.ce.soap60.webservices.scm.AbstractScmCommandsCheckoutBuilder.BasicCheckoutData`
  `getCheckoutData()`
  Gets `AbstractScmCommandsCheckoutBuilder.BasicCheckoutData`
  `ScmCheckoutCommandsBuilder`
  `withRepository(com.vasoftware.sf.server.services.scm.RepositoryDO repositoryData)`
  `ScmCheckoutCommandsBuilder`
  `withSession(com.vasoftware.sf.server.types.UserSessionKey inputSessionKey)`
  `ScmCheckoutCommandsBuilder`
  `withUser(com.vasoftware.sf.server.services.user.UserDO inputUser)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### sessionKey

    protected com.vasoftware.sf.server.types.UserSessionKey sessionKey

  - ### user

    protected com.vasoftware.sf.server.services.user.UserDO user

  - ### repository

    protected com.vasoftware.sf.server.services.scm.RepositoryDO repository

- ## Constructor Details

  - ### ScmCheckoutCommandsBuilder

    public ScmCheckoutCommandsBuilder()

- ## Method Details

  - ### build

    public com.vasoftware.sf.server.services.scm.CheckoutCommand.CheckoutCommandSpecification build() throws NoSuchObjectFault, SystemFault
    Builds repository checkout commands out of provided parameters.
    Returns:
      never `null`
    Throws:
      `NoSuchObjectFault` - see `getCheckoutData()` for details
      `SystemFault` - see `getCheckoutData()` for details

  - ### withSession

    public ScmCheckoutCommandsBuilder withSession(com.vasoftware.sf.server.types.UserSessionKey inputSessionKey)
    Parameters:
      `inputSessionKey` - is added to available parameters
    Returns:
      `this` instance

  - ### withUser

    public ScmCheckoutCommandsBuilder withUser(com.vasoftware.sf.server.services.user.UserDO inputUser)
    Parameters:
      `inputUser` - is added to available parameters
    Returns:
      `this` instance

  - ### withRepository

    public ScmCheckoutCommandsBuilder withRepository(com.vasoftware.sf.server.services.scm.RepositoryDO repositoryData)
    Parameters:
      `repositoryData` - is added to available parameters
    Returns:
      `this` instance

  - ### getCheckoutData

    protected com.collabnet.ce.soap60.webservices.scm.AbstractScmCommandsCheckoutBuilder.BasicCheckoutData getCheckoutData() throws NoSuchObjectFault, SystemFault
    Gets `AbstractScmCommandsCheckoutBuilder.BasicCheckoutData`
    Returns:
      never `null`
    Throws:
      `NoSuchObjectFault` - when neither system nor strategy couldn't have been obtained
      `SystemFault` - when non-SCM system id was provided